#
# Conditional build:
%bcond_with	tests	# unit tests (tests.utils missing in sdist)

%define		module	template
Summary:	Pyright for Python
Summary(pl.UTF-8):	Pyright dla Pythona
Name:		python3-pyright
Version:	1.1.402
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pyright/
Source0:	https://files.pythonhosted.org/packages/source/p/pyright/pyright-%{version}.tar.gz
# Source0-md5:	e9610b54baf6f548a77679f9852d2954
URL:		https://pypi.org/project/pyright/
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	nodejs
BuildRequires:	python3-nodeenv >= 1.6.0
BuildRequires:	python3-pytest
BuildRequires:	python3-pytest-subprocess
BuildRequires:	python3-typing_extensions >= 4.1
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pyright for Python is a Python command-line wrapper over pyright
(<https://github.com/microsoft/pyright>), a static type checker for
Python.

%description -l pl.UTF-8
Pyright dla Pythona to obudowanie pythonowym wierszem poleceń pakietu
pyright (<https://github.com/microsoft/pyright>) - narzędzia do
statycznej kontroli typów dla Pythona.

%prep
%setup -q -n pyright-%{version}

%{__sed} -i -e '1s,/usr/bin/env node$,/usr/bin/node,' src/pyright/dist/*.js

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS=pytest_subprocess.fixtures \
PYTHONPATH=$(pwd)/src:$(pwd) \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%attr(755,root,root) %{_bindir}/pyright
%attr(755,root,root) %{_bindir}/pyright-langserver
%attr(755,root,root) %{_bindir}/pyright-python
%attr(755,root,root) %{_bindir}/pyright-python-langserver
%dir %{py3_sitescriptdir}/pyright
%{py3_sitescriptdir}/pyright/py.typed
%{py3_sitescriptdir}/pyright/*.py
%{py3_sitescriptdir}/pyright/__pycache__
%dir %{py3_sitescriptdir}/pyright/dist
# Microsoft Pyright docs
%doc %{py3_sitescriptdir}/pyright/dist/LICENSE.txt
%doc %{py3_sitescriptdir}/pyright/dist/README.md
%{py3_sitescriptdir}/pyright/dist/package.json
%{py3_sitescriptdir}/pyright/dist/dist
%attr(755,root,root) %{py3_sitescriptdir}/pyright/dist/*.js
%{py3_sitescriptdir}/pyright-%{version}-py*.egg-info
%changelog
* Mon Jul 07 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pyright.git;a=log;h=master

* Mon Jul 07 2025 Jakub Bogusz <qboosh@pld-linux.org> 7f4401b
- new

